Connections
Get a connection with credentials
Retrieves the specified connection together with its credential values.
Query parameters
api-version
string
required
The API version to use for this operation.
Path parameters
name
string
required
The friendly name of the connection, provided by the user.
Header parameters
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Responses
The request has succeeded.
Headers
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Body
name
string
required
The friendly name of the connection, provided by the user.
id
string
required
A unique identifier for the connection, generated by the service
type
string | enum
required
The Type (or category) of the connection
enum
target
string
required
The connection URL to be used for this service
isDefault
boolean
required
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
required
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
required
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
required
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
required
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
required
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
required
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
required
The credential type
metadata
object
required
Metadata of the connection
Request
POST /connections/{name}/getConnectionWithCredentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json